# 设置
## 概 述
设置提供了一个友好的图形用户界面，用于对操作系统常用配置项进行管理。主界面如图所示。

![图 1 设置-big](image/ukcc.png)

<br>

## 帐户
帐户设置提供了帐户信息、登录选项两个模块。

### 帐户信息

对系统用户进行管理配置，允许管理员创建用户、删除用户、修改用户信息。

![图 2-1 帐户信息设置-big](image/account.png)

#### 更改用户头像

点击用户头像，即可进行修改，图片可从本机图片中选择。

![图 2-2 更改用户头像](image/account-face.png)

#### 更改密码

点击“修改密码”，即可修改当前用户的密码。

![图 2-3 更改密码](image/account-pwd.png)

#### 更改帐户类型

系统用户类型分两种：标准用户和管理员用户。

- 管理员用户：输入用户密码，可以临时提升root权限

- 标准用户：无法提升权限

Tips：系统至少需要存在一个管理员用户。

![图 2-4 更改用户类型](image/account-type.png)

#### 其他用户

可编辑其他用户信息，添加新用户，删除用户等。

- 添加新用户：输入用户名、密码，并选择用户类型，如图所示

- 密码复杂度要求(可通过安全中心自定义密码强度)：

1. 用户密码不可包含非法字符（“'”与非标准字符）；
2. 密码最小长度 8；
3. 密码最少包含两类字符；
4. 密码禁止包含用户名；
5. 密码禁止使用回文；
6. 启用密码相似性检查(修改密码时检测)；
7. 启用密码字典；
8. 密码有效期无限制；

![图 2-5 添加新用户](image/account-add.png)

- 编辑用户

![图 2-6 编辑用户](image/account-edit.png)

### 登录选项

可对登录选项进行配置。

- 关闭生物识别：登录时禁用生物识别。

![图 3-1 关闭生物识别-big](image/login-options-close.png)

- 打开生物识别：登录时可以使用生物识别，可以对生物特征进行录入、重命名、删除。

![图 3-2 打开生物识别-big](image/login-options-open.png)

<br>

## 系 统
系统配置设置提供了显示器、声音、电源、通知、关于五个模块。

### 显示器
显示器可以配置显示相关的设置，上方彩色矩形代表当前屏幕，中间显示了显示器名称及接口名，如图所示。

![图 4 显示器设置-big](image/display.png)

- 显示器：选择当前显示器
- 分辨率、方向、刷新率、缩放屏幕的修改都是针对当前活动显示器
- 屏幕缩放为全局缩放，可以设置的缩放项与屏幕当前的分辨率有关，具体如下：

| 分辨率宽度w | 最大缩放 |
| :---: | :---: |
| （0,1080] | 100% |
| (1080,1920) | 125% |
| 1920 | 150% |
| (1920,2560] | 200% |
| (2560,3072] | 225% |
| (3072,3840) | 250% |
| 3840+ | 275% |

### 声 音
对输入、输出和系统音效进行设置，如图所示。

![图 5 声音-big](image/audio.png)

- 选择输出设备：输出设备是获取声卡选择的输出配置文件生成的，可以点击下拉框查看当前系统可用的输出设备，可根据需要切换的对应的输出设备

- 音量：调节当前的输出音量，通过移动滑动条来控制系统输出音量大小

- 声道平衡：调节输出音量的左右声道

- 选择输入设备：输入设备是获取声卡选择的输入配置文件生成的，可以点击下拉框查看当前系统可用的输入设备，可根据需要切换的对应的输入设备（输入设备主要用来录音视频以及通话）

- 音量大小：调节当前的输入音量，通过移动滑动条来控制系统输入音量大小

- 输入反馈：检测当前输入设备的输入等级（检测到有可用的输入设备时开始检测输入等级）

- 开关机音乐：控制系统开关机时是否播放开关机音乐

- 提示音：系统收到通知或改变音量的提示音

- 音效主题：系统的声音主题

- 音量调节：调节音量时播放的提示音类型

- 通知：系统收到通知时播放的提示音类型

### 电 源

可进行通用功能设置，电源计划和电池节能计划设置（机器存在电池的情况下）

![图 6 系统电源设置-big](image/power.png)

- 在通用设置中，可以对系统唤醒功能进行设置，以及设置系统进入睡眠等操作的时间

- 在电源计划中，选择不同的模式对应不同的系统性能消耗

- 在电池节能计划中，通过选择对应的选项达到电池节能效果

### 通 知

可通过开关的开启/关闭，选择是否获取来自对应应用的通知

![图 7 通知-big](image/notice.png)

### 关 于

显示本机系统的版本、设备规格以及用户部分相关信息

![图 8 系统信息-big](image/about.png)

<br>

## 设 备

设备设置提供了蓝牙、打印机、鼠标、触控板、触摸屏、快捷键六个设置模块。

### 蓝牙

蓝牙模块提供了开关蓝牙、修改蓝牙名称、显示隐藏蓝牙任务图标、自动发现周围蓝牙设备、本机设备的可见性；与发现的蓝牙设备配对、连接、断开、移除蓝牙设备、文件传输的基本功能，如图所示。

- 开关蓝牙：点击开启蓝牙按钮，对本机的蓝牙适配器开启和关闭

- 修改蓝牙名称：将鼠标在“修改图标”或者“蓝牙名称”上单击，在弹出输入框输入想要的名称

- 显示隐藏蓝牙任务栏图标：点击按钮，可以在任务上显示或者不显示托盘上的蓝牙图标

- 蓝牙设备分类 ： 通过选择下拉框选择显示的蓝牙设备类型，类型选项(所有、音频设备、键鼠设备、电脑、手机、其他)

- 发现的蓝牙设备基础操作：鼠标单、双击已发现的蓝牙设备执行连接和断开操作，移除和发送文件选项需要通过蓝牙设备的设置选项打开(注：部分蓝牙设备/机型无发送文件选项)

![图 9 蓝牙-big](image/blutooth.png)

### 打印机

打印机功能提供了打印机程序入口

![图 10 打印机-big](image/printer.png)

### 鼠 标

为满足您对鼠标使用习惯的个性化需求，可在“鼠标”配置中，可进行鼠标、指针、光标的个性化设置。

1）鼠标键设置：

- 鼠标主按钮设置（左键/右键）

- 鼠标滚轮速度

- 鼠标双击间隔时长

2）指针设置：

- 速度设置

- 鼠标加速

3）光标设置：

- 启用文本区域的光标闪烁

- 光标速度设置

![图 11 鼠标设备-big](image/mouse.png)

### 触控板

触控板提供了以下功能设置

1）指针速度慢/快

2）打字时禁用触控板开启/关闭

3）触控板轻触点击开启/关闭

4）滚动条跟随手指滑动开启/关闭

5）触控滚动方式(中间区域滚动，边界滚动，禁用滚动)，设置边界滚动时，垂直边界及水平边界滚动有效，设置为中间区域滚动时，垂直中间及水平中间滚动有效。

![图 12 触控板-big](image/touchpad.png)

### 触摸屏

此界面通过动画的形式介绍了系统中常用的几种手势操作。

![图 13 触摸屏-big](image/touchscreen.png)

### 快捷键

您可在该配置中查看系统快捷键。

快捷键根据系统版本有所调整。

![图 14 快捷键-big](image/shortcut.png)

<br>

## 网 络

网络主要包含了有线网络、无线局域网、代理、VPN和移动热点五个模块。

### 有线网络

提供有线网络的显示、连接或断开，可以分别对单张有线网卡进行开关管理。

![图 15 有线网络-big](image/netconnect.png)

### 无线局域网

提供无线网络的显示、连接或断开，可以对无线功能进行开关管理。

![图 16 无线网络-big](image/wlanconnect.png)

### 代 理

可设置系统代理以及APT代理

![图 17 代理-big](image/delegate.png)

- 系统代理可选择自动代理和手动代理，手动代理包括HTTP，HTTPS，SOCKET，FTP代理
- 开启APT代理，通过设置的代理服务器可在软件商店进行应用程序的下载和更新

### VPN

打开外部VPN设置程序

![图 18 VPN-big](image/vpn.png)

### 移动热点

使用本机作为无线网络提供方，其他设备连接后可以进行上网操作。

![图 19 移动热点-big](image/mobilehotspot.png)



<br>

## 个性化

个性化设置提供了背景、主题、锁屏、屏保、字体五个模块。

### 背 景

针对桌面背景，提供两种背景形式的选择：颜色、图片。

![图 20 背景-big](image/background.png)

### 主 题

主题包括主题模式、窗口外观、图标主题、光标主题、窗口特效和相关设置。

- 主题模式：

![图 21-1 主题模式](image/theme.png)

- 窗口外观：

![图 21-2 窗口外观](image/appearance.png)

- 图标主题和光标主题：

![图 21-3 图标&光标主题](image/theme-cursor.png)

- 窗口特效（部分机型不支持）：

![图 21-4 窗口特效](image/theme-effect.png)

- 相关设置：

![图 21-5 相关设置](image/related-settings.png)

### 锁 屏

选择在登录界面显示的背景图片。

![图 22 锁屏设置-big](image/screenlock.png)

### 屏 保

设置屏保程序、等待时间。

![图 23 屏保设置-big](image/screensaver.png)

### 字 体

对字体、大小、等宽进行常规设置。

点击“恢复默认设置”按钮将所有字体设置还原为系统默认状态。

![图 24 字体设置-big](image/font.png)

<br>

## 时间语言

包括时间日期和区域语言两个模块

### 时间和日期

![图 25-1 时间和日期-big](image/datetime.png)

- 自动同步时间：与互联网上的NTP服务器时间同步

- 手动设置时间：手动设置时间和年月日

![图 25-2 手动更改时间](image/datetime-change.png)

- 时间格式分12小时和24小时，点击右侧开关立即生效

- 更改时区：如图所示，根据个人需求进行选择

![图 25-3 时区-big](image/datetime-zone.png)

### 区域语言

主界面如图所示:

![图 26 区域语言-big](image/area.png)

- 语言格式：自定义日历、一周第一天、日期、时间

- 系统语言：系统窗口、菜单及网页的显示语言，首选推荐语言为简体中文

- 点击“添加”，可添加其他地区语言作为备选

<br>

## 应 用

应用包括默认应用和开机启动

### 开机启动
列表中显示当前系统已存在的开机启动软件。

![图 27 开机启动-big](image/autoboot.png)

点击“添加”，可添加开机启动应用。

### 默认应用
默认应用可以修改图中几种类型的默认打开应用：

![图 28 默认应用-big](image/default.png)

<br>

## 搜 索

### 全局搜索

通过设置提高搜索效率。
![图 29 搜索-big](image/search.png)
<br>


## 常见问题
#### 点击开始菜单上的设置按钮，无反应
在键盘上按下 Ctrl + Alt + T 组合键打开命令行终端，输入“ukui-control-center”后按下Enter，查看错误输出。

#### 修改控件状态后，控件立刻还原到修改前状态
大概率是因为权限问题。

在键盘上按下 Ctrl + Alt + T 组合键打开命令行终端，输入“rm ~/.config/dconf/user”后按下Enter。